apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: {{ include "score-1-statefulset-default.fullname" . }}-web
  labels:
  {{- include "score-1-statefulset-default.labels" . | nindent 4 }}
spec:
  selector:
    matchLabels:
      app: nginx
  serviceName: nginx
  template:
    spec:
      containers:
      - image: gcr.io/google_containers/nginx-slim:0.8
        name: nginx
        ports:
        - containerPort: 80
          name: web
        securityContext:
          readOnlyRootFilesystem: true
        volumeMounts:
        - mountPath: /usr/share/nginx/html
          name: www
  volumeClaimTemplates:
  - metadata:
      name: www
    spec:
      accessModes:
      - ReadWriteOnce
      resources:
        requests:
          storage: 1Gi
      storageClassName: my-storage-class